Subject: [pm-dir] Request for an RFC 6390 review of draft-ietf-mmusic-sdp-mux-attributes-00

From: Qin Wu <[email-masked]>
Date: Mon, 10 Feb 2014 09:05:06 +0000

Hi, Author:
I am assigned PM-DIR reviewer for this draft.
Here is my review to this draft.

This draft categorizes existing SDP attribute and provides an analysis for the multiplexing characteristics of SDP attributes.
Most of these SDP attributes is more about configuration parameters or negotiation parameters related to RTP session and have little to
do with performance metrics reporting,

Section 5.27 references to RFC3611 for RTCP-XR attribute, however it doesn't go into details to discuss how performance metrics
related SDP parameters are signaled(e.g., by referencing XR BLOCK related RFCs that have already been published) together
with SDP attribute. So most guidelines of RFC6390 don't apply here.

However section 5.38 does contain one performance metric, i.e., 3GPP-QoE-Metrics.
3GPP-QoE- metrics is defined in Section 5.3.2.3.1 of

3GPP TS 26.234 and Section 4.6 of RFC6064 and is not a single  metric but a set of metrics.

As described in section 11.2 of 3GPP TS 26.234, 3GPP QoE Metrics include 10 Metrics, i.e.,

O Corruption duration metric,

O Rebuffering duration metric,

O Initial buffering duration metric,

O Successive loss of RTP packets,

O Frame rate deviation,

O Jitter duration,

O Content Switch Time,

O Average Codec Bitrate,

O Codec Information,

O Buffer Status.

Unfortunately RFC6064 didn't request IANA to register these ten metrics as SDP attribute, only 3GPP-QoE-Metrics  get registered by IANA.

RFC6064 does define an 3GPP-QoE-Metrics Header to negotiate the usage of the QoE metrics and define 3GPP-QoE-Feedback Header

carry QoE metrics from the client to the server when it

reports, which happens either during or at the end of the media

delivery. Therefore QoE metrics reporting is supported using 3GPP-QoE-Feedback Header in the RFC6064.

So it is obvious  the above ten QoE metrics has already been defined in 3GPP. Unfortunately there is no registration for these ten metrics.

I am wondering whether these ten QoE metrics need to be registered by IANA, who will be responsible for registering these ten QoE Metrics?

Can 3GPP-QoE-Metrics in the table of section 5.38 be updated as follows in the same way as what section 12.1 is described for content attribute:

3GPP-QoE-Metrics: Corruption duration                                  Media Level

3GPP-QoE-Metrics: Rebuffering duration                                Media Level

3GPP-QoE-Metrics: Initial buffering duration                          Media Level

3GPP-QoE-Metrics: Successive loss of RTP packets                Media Level

3GPP-QoE-Metrics: Frame rate deviation                                 Media Level

3GPP-QoE-Metrics: Jitter duration                                           Media Level

3GPP-QoE-Metrics: Content Switch Time                                Session Level

......

Nits:

s/m-mline/m-line

s/3GPP-QoE-Metricsn/3GPP-QoE-Metrics

Regards!

-Qin

---

From: "Suhas Nandakumar (snandaku)" <[email-masked]>
Date: Mon, 10 Feb 2014 15:11:41 +0000

Hello Qin

  Thanks for your inputs on the document.

  One general idea behind this draft was to define a generic framework for categorizing multiplexing behavior of SDP attributes of today and of those that will be defined in the future.
  Hence we started categorizing those that are registered with the IANA today as the reference.

  Regarding the RFC6064 QOE SDP attributes that are not registered with the IANA, I will be happy to add those ten attributes to this document.

  Personally, i feel that these ten attributes must be registered with the IANA to match the goals associated with this work. I would love to get your thoughts on this.

Cheers
Suhas
________________________________
From: Qin Wu [[email-masked]]
Sent: Monday, February 10, 2014 1:05 AM
To: Suhas Nandakumar (snandaku); [email-masked]
Cc: MORTON, ALFRED C (AL); Benoit Claise (bclaise)
Subject: Request for an RFC 6390 review of draft-ietf-mmusic-sdp-mux-attributes-00

Hi, Author:

Section 5.27 references to RFC3611 for RTCP-XR attribute, however it doesn’t go into details to discuss how performance metrics
related SDP parameters are signaled(e.g., by referencing XR BLOCK related RFCs that have already been published) together
with SDP attribute. So most guidelines of RFC6390 don’t apply here.

O Frame rate deviation,

O Jitter duration,

O Content Switch Time,

O Average Codec Bitrate,

O Codec Information,

O Buffer Status.

Unfortunately RFC6064 didn’t request IANA to register these ten metrics as SDP attribute, only 3GPP-QoE-Metrics  get registered by IANA.

……

Nits:

s/m-mline/m-line

Regards!

-Qin

---

From: Qin Wu <[email-masked]>
Date: Wed, 12 Feb 2014 12:30:54 +0000

Hi, Suhas:
Great, thanks for taking my proposed change for adding ten attributes.

Regarding registering ten attributes, draft-ietf-mmusic-sdp-mux-attributes-00
Is not supposed to define any new attributes but simply references them defined in 3GPP document, categorizes and analyzes them.
I don't know whether you should do this or what procedure you should follow to register 3GPP owned attribute.

However If you really like to do this, I think you need to update RFC6064 for 3GPP-QoE-Metrics attribute registry defined in
http://www.iana.org/assignments/sdp-parameters/sdp-parameters.xhtml#sdp-parameters-12
and replace it with these ten attributes as ten 3GPP QoE metrics registries.

Regards!
-Qin
From: Suhas Nandakumar (snandaku) [mailto:[email-masked]]
Sent: Monday, February 10, 2014 11:12 PM
To: Qin Wu; [email-masked]
Cc: MORTON, ALFRED C (AL); Benoit Claise (bclaise)
Subject: RE: Request for an RFC 6390 review of draft-ietf-mmusic-sdp-mux-attributes-00

Hello Qin

Cheers
Suhas

O Frame rate deviation,

O Jitter duration,

O Content Switch Time,

O Average Codec Bitrate,

O Codec Information,

O Buffer Status.

......

Nits:

s/m-mline/m-line

Regards!

-Qin

---

From: "Suhas Nandakumar (snandaku)" <[email-masked]>
Date: Wed, 12 Feb 2014 17:01:32 +0000

Thanks Qin for your inputs. I will post an updated version of the draft-ietf-mmusic-sdp-mux-attributes-00 with the changes below.

Cheers
Suhas
Sent: Wednesday, February 12, 2014 4:30 AM

Hi, Suhas:

Regarding registering ten attributes, draft-ietf-mmusic-sdp-mux-attributes-00
Is not supposed to define any new attributes but simply references them defined in 3GPP document, categorizes and analyzes them.
I don’t know whether you should do this or what procedure you should follow to register 3GPP owned attribute.

Regards!
-Qin

Hello Qin

Cheers
Suhas

O Frame rate deviation,

O Jitter duration,

O Content Switch Time,

O Average Codec Bitrate,

O Codec Information,

O Buffer Status.

……

Nits:

s/m-mline/m-line

Regards!

-Qin